# Uses of Class
org.eclipse.emf.cdo.transfer.CDOTransferElement

Packages that use CDOTransferElement
Package
Description
org.eclipse.emf.cdo.spi.transfer
Service provider concepts for dealing with transfers of `resources` between `systems`.
org.eclipse.emf.cdo.transfer
Client concepts for dealing with transfers of `resources` between `systems`.
org.eclipse.emf.cdo.transfer.spi.repository
Client concepts for dealing with transfers of `resources` between `systems`.
org.eclipse.emf.cdo.transfer.spi.ui
Service provider concepts for dealing with transfers of `resources` between `systems`.
org.eclipse.emf.cdo.transfer.spi.workspace
Client concepts for dealing with transfers of `resources` between `systems`.
org.eclipse.emf.cdo.transfer.ui
Reusable implementatins of common JFace concepts for dealing with transfers of `resources` between `systems`.

## Uses of CDOTransferElement in org.eclipse.emf.cdo.spi.transfer

Methods in org.eclipse.emf.cdo.spi.transfer that return CDOTransferElement
Modifier and Type
Method
Description
`CDOTransferElement`
FileSystemTransferSystem.`getElement(IPath path)`
`CDOTransferElement`
FileSystemTransferSystem.`getElement(URI uri)`

## Uses of CDOTransferElement in org.eclipse.emf.cdo.transfer

Fields in org.eclipse.emf.cdo.transfer declared as CDOTransferElement
Modifier and Type
Field
Description
`static final CDOTransferElement[]`
CDOTransferElement.`NO_CHILDREN`
Methods in org.eclipse.emf.cdo.transfer that return CDOTransferElement
Modifier and Type
Method
Description
`protected abstract CDOTransferElement[]`
CDOTransferElement.`doGetChildren()`
`final CDOTransferElement`
CDOTransferElement.`getChild(String path)`
`final CDOTransferElement`
CDOTransferElement.`getChild(IPath path)`
`final CDOTransferElement[]`
CDOTransferElement.`getChildren()`
`CDOTransferElement`
CDOTransferSystem.`getElement(String path)`
`abstract CDOTransferElement`
CDOTransferSystem.`getElement(IPath path)`
`abstract CDOTransferElement`
CDOTransferSystem.`getElement(URI uri)`
`final CDOTransferElement`
CDOTransferElement.`getParent()`
`CDOTransferElement`
CDOTransferMapping.`getSource()`
`CDOTransferElement`
CDOTransferMapping.`getTarget()`
Methods in org.eclipse.emf.cdo.transfer with parameters of type CDOTransferElement
Modifier and Type
Method
Description
`protected CDOTransferMapping`
CDOTransfer.`createMapping(CDOTransferElement source, CDOTransferMapping parent, IProgressMonitor monitor)`
`CDOTransferType`
CDOTransferSystem.`getDefaultTransferType(CDOTransferElement element)`
`IPath`
CDOTransfer.PathProvider.`getPath(CDOTransferElement element)`
`protected CDOTransferType`
CDOTransfer.`getTransferType(CDOTransferElement source)`
`protected boolean`
CDOTransfer.ModelTransferContext.`hasResourceFactory(CDOTransferElement source)`
`CDOTransferMapping`
CDOTransfer.`map(CDOTransferElement source, IProgressMonitor monitor)`
`protected CDOTransferMapping`
CDOTransfer.`map(CDOTransferElement source, CDOTransferMapping parent, IProgressMonitor monitor)`

## Uses of CDOTransferElement in org.eclipse.emf.cdo.transfer.spi.repository

Methods in org.eclipse.emf.cdo.transfer.spi.repository that return CDOTransferElement
Modifier and Type
Method
Description
`CDOTransferElement`
RepositoryTransferSystem.`getElement(IPath path)`
`CDOTransferElement`
RepositoryTransferSystem.`getElement(URI uri)`
Methods in org.eclipse.emf.cdo.transfer.spi.repository with parameters of type CDOTransferElement
Modifier and Type
Method
Description
`CDOTransferType`
RepositoryTransferSystem.`getDefaultTransferType(CDOTransferElement element)`

## Uses of CDOTransferElement in org.eclipse.emf.cdo.transfer.spi.ui

Methods in org.eclipse.emf.cdo.transfer.spi.ui that return CDOTransferElement
Modifier and Type
Method
Description
`CDOTransferElement`
TransferUIProvider.`convertTransferTarget(Object target)`
Methods in org.eclipse.emf.cdo.transfer.spi.ui that return types with arguments of type CDOTransferElement
Modifier and Type
Method
Description
`List<CDOTransferElement>`
TransferUIProvider.`convertTransferData(Object data)`

## Uses of CDOTransferElement in org.eclipse.emf.cdo.transfer.spi.workspace

Methods in org.eclipse.emf.cdo.transfer.spi.workspace that return CDOTransferElement
Modifier and Type
Method
Description
`CDOTransferElement`
WorkspaceTransferSystem.`getElement(IPath path)`
`CDOTransferElement`
WorkspaceTransferSystem.`getElement(URI uri)`
Methods in org.eclipse.emf.cdo.transfer.spi.workspace with parameters of type CDOTransferElement
Modifier and Type
Method
Description
`CDOTransferType`
WorkspaceTransferSystem.`getDefaultTransferType(CDOTransferElement element)`

## Uses of CDOTransferElement in org.eclipse.emf.cdo.transfer.ui

Methods in org.eclipse.emf.cdo.transfer.ui that return CDOTransferElement
Modifier and Type
Method
Description
`protected CDOTransferElement`
TransferDropAdapter.`getTargetElement(Object target)`
Methods in org.eclipse.emf.cdo.transfer.ui that return types with arguments of type CDOTransferElement
Modifier and Type
Method
Description
`protected List<CDOTransferElement>`
TransferDropAdapter.`getSourceElements(Object data)`
Methods in org.eclipse.emf.cdo.transfer.ui with parameters of type CDOTransferElement
Modifier and Type
Method
Description
`static boolean`
TransferDialog.`open(Shell shell, List<CDOTransferElement> sourceElements, CDOTransferElement targetElement)`
Method parameters in org.eclipse.emf.cdo.transfer.ui with type arguments of type CDOTransferElement
Modifier and Type
Method
Description
`static void`
TransferDialog.`initializeTransfer(CDOTransfer transfer, Collection<CDOTransferElement> sourceElements)`
`static boolean`
TransferDialog.`open(Shell shell, List<CDOTransferElement> sourceElements, CDOTransferElement targetElement)`